package com.icomsys.main_vm.common.code.enumresource;

import lombok.Getter;

import java.util.Arrays;
import java.util.List;

@Getter
public enum ActionResource {

    insert("등록"),
    update("수정"),
    delete("삭제"),
    upload("업로드"),
    download("다운로드"),
    release("배포"),
    rollback("롤백"),
    login("로그인"),
    learn("학습"),
    reflect("반영"),
    listen("듣기");
    private String typeName;

    ActionResource(String typeName) {
        this.typeName = typeName;
    }


    public String getName() {
        return name();
    }

    public static List<ActionResource> ALL = Arrays.asList(

            insert,
            update,
            delete,
            upload,
            download,
            release,
            rollback,
            login,
            learn,
            reflect,
            listen
    );
}
